# Uses of Class
com.ngrok.definitions.Tunnel

Packages that use Tunnel
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of Tunnel in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type Tunnel
  Modifier and Type
  Method
  Description
  `List<Tunnel>`
  TunnelList.`getTunnels()`
  the list of all online tunnels on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type Tunnel
  Modifier
  Constructor
  Description
  ``
  `TunnelList(List<Tunnel> tunnels, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `TunnelList`.

- ## Uses of Tunnel in com.ngrok.services

  Methods in com.ngrok.services that return Tunnel
  Modifier and Type
  Method
  Description
  `Tunnel`
  Tunnels.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type Tunnel
  Modifier and Type
  Method
  Description
  `CompletionStage<Tunnel>`
  Tunnels.GetCallBuilder.`call()`
  Initiates the API call asynchronously.